﻿:root {
    /* Defaults */
    --cp-accent-color: var(--ct-theme-accent, #4ab957);
    --cp-primary-color: var(--ct-theme-primary, #00598f);
    --cp-primary-default-color: var(--ct-primary-default-color, #ffffff);
    --cp-primary-default-background: var(--ct-primary-default-background, #00598f);
    --cp-primary-hover-color: var(--ct-primary-hover-color, #004675);
    --cp-primary-hover-background: var(--ct-primary-hover-background, #004675);
    --cp-primary-disabled-color: var(--ct-primary-disabled-color, #141414);
    --cp-primary-disabled-background: var(--ct-primary-disabled-background, #dddddd);
    --cp-secondary-default-color: var(--ct-secondary-default-color, #ffffff);
    --cp-secondary-default-background: var(--ct-secondary-default-background, #6c757d);
    --cp-secondary-hover-color: var(--ct-secondary-hover-color, #ffffff);
    --cp-secondary-hover-background: var(--ct-secondary-hover-background, #5c636a);
    --cp-secondary-disabled-color: var(--ct-secondary-disabled-color, #ffffff);
    --cp-secondary-disabled-background: var(--ct-secondary-disabled-background, #9fa4aa);
    --cp-light-default-color: var(--ct-light-default-color, #000000);
    --cp-light-default-background: var(--ct-light-default-background, #f8f9fa);
    --cp-light-hover-color: var(--ct-light-hover-color, #000000);
    --cp-light-hover-background: var(--ct-light-hover-background, #d3d4d5);
    --cp-light-disabled-color: var(--ct-light-disabled-color, #ffffff);
    --cp-light-disabled-background: var(--ct-light-disabled-background, #f8f9fa);
    --cp-text-color: var(--ct-text-default, #000000);
    --cp-text-color-light: var(--ct-text-light, #ffffff);
    --cp-border-color: var(--ct-border-default, #cccccc);
    --cp-border-color-light: var(--ct-border-light:, #e9ecef);
    --cp-body-background-color: var(--ct-body-background, #f9f9f9);
    /* Colors */
    --cp-card-background-hover-color: var(--ct-card-background-hover-color, #e8e8e8);
    --cp-card-border-hover-color: var(--ct-card-border-hover-color, #a2a2a2);
    --cp-primary-icon-color: var(--cp-text-color-light);
    --cp-primary-icon-background-color: var(--cp-accent-color);
    --cp-text-hover-color: var(--cp-text-color-light);
    /* Body Font */
    --bs-body-font-family: ui-sans-serif, system-ui, sans-serif, "Apple Color Emoji", "Segoe UI Emoji", "Segoe UI Symbol", "Noto Color Emoji";
    --bs-body-font-size: 0.9rem;
    --bs-body-color: #222222;
    --bs-light-rgb: 256,256,256;
    /* Body Background */
    --cp-body-background-image: fixed url(../files/background.jpg) 0 / cover;
    /* header */
    --cp-nav-background-color: var(--cp-primary-color);
    --cp-nav-border-bottom-height: 0;
    --cp-nav-text-color: var(--cp-text-color-light);
    /* Card */
    --cp-alert-light-border-color: var(--cp-border-color-light);
    --bs-alert-bg: #f5f5f5;
    --cp-alert-border-color: #b6effb;
    --cp-alert-info-bg: var(--cp-info-color);
    --cp-btn-light-border-color: var(--cp-border-color);
    --cp-btn-disabled-color: #fff;
    --cp-btn-disabled-color-light: #000;
    /* Alert colors */
    --cp-success-color: #198754;
    --cp-info-color: #eff9fb;
    --cp-warning-color: #ffd700;
    --cp-error-color: #e20505;
    --bs-primary-rgb: 0,89,143;
    /*Breadcrumbs*/
    --bs-breadcrumb-divider: "\25C1";
    --cp-focus-color: #000;
}

body {
    box-sizing: border-box;
    max-height: calc(100vh - 2rem);
}

#app {
    height: 100% !important;
}

#blazor-error-ui .dismiss {
    text-decoration: none;
}

.page-container {
    margin-top: 0;
    padding: 10px 15px;
    display: grid;
    grid-template-rows: calc(0.25rem * 20) auto 1fr 2rem auto;
    grid-template-columns: 1fr;
    grid-template-areas: "header" "breadcrumbs" "main" "footer" "menu";
    min-height: calc(100vh - 1rem);
    margin: auto;
    background: linear-gradient(0deg, var(--cp-body-background-color) 0%, var(--cp-body-background-color) 75%, rgba(255,255,255,1) 100%);
}

.page-container > header {
    grid-area: header;
    z-index: 1030;
}

.page-container > .nav {
    grid-area: menu;
    padding: 0;
    margin: 0;
    position: fixed;
    bottom: 0;
    left: 0;
    width: 100%;
    z-index: 1020;
    --bs-nav-link-padding-y: 0.25rem;
}

.page-container > .nav a {
    text-align: center;
    flex: 1;
}

.page-container > .nav a span {
    display: block;
}

.page-container > .nav a.shopping-cart {
    display: flex;
    flex-direction: column;
    justify-content: space-between;
}
.page-container > .nav a.shopping-cart .icon-badge {
    display: flex;
    flex-direction: row;
    justify-content: center;
    margin-top: 2px;
}
.page-container > .nav a.shopping-cart .icon-badge .fas {
    margin: auto 0;
}
.page-container > .nav a.shopping-cart .icon-badge .badge {
    text-decoration: none;
    font-size: 0.6rem;
}

.page-container > .breadcrumb {
    grid-area: breadcrumbs;
    z-index: auto;
    position: inherit;
    margin-bottom: 8px;
}

.page-container > main {
    grid-area: main;
    padding-bottom: 20px;
    min-height: fit-content;
}

.page-container > footer {
    grid-area: footer;
}

.loading-background {
    width: 100vw;
    height: 100vh;
    background-color: var(--cp-body-background-color);
    text-align: center;
    font-size: 22px;
}

main section {
    margin-bottom: 1rem;
}

.progress {
    --bs-progress-height: 0.25rem;
    width: 50%;
}

.progress-bar {
    --bs-progress-bar-color: var(--cp-accent-color);
    --bs-progress-bar-bg: var(--cp-accent-color);
    width: var(--blazor-load-percentage);
}

.session-expire-info {
    margin-bottom: 10px;
}

.session-expire-timer {
    margin-bottom: 15px;
    text-align: center;
}

.container-center {
    height: 100%;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    box-sizing: border-box;
}

.breadcrumb {
    margin-bottom: 0;
}

a {
    color: var(--ct-primary-default-background);
    outline-color: transparent;
    outline-offset: 0;
    outline-style: solid;
    outline-width: 2px;
}

a:focus, a:hover {
    color: var(--cp-primary-hover-background);
}

a:focus {
    outline-color: var(--cp-focus-color);
}

h1, h2, h3 {
    color: var(--cp-primary-color);
}

h1, h2, h3, h4, h5 {
    outline: none;
}

h1 {
    font-size: 28px;
    margin-bottom: 1rem;
    border: none !important;
}

h2 {
    font-size: 1.4rem;
}

h2 span button:not(:last-child) {
    margin-right: 0.2rem;
}

h3 {
    font-size: 1.2rem;
}

dl {
    margin-bottom: 0;
}

dl dt {
    font-weight: 600;
    margin-bottom: 0.5rem;
}

dl dd {
    font-weight: normal;
}

dl dd p {
    margin-bottom: 0.2rem;
}

section:not(:empty) {
    padding: 0.25rem 0;
}

.header {
    display: flex;
    flex-direction: row;
    flex-wrap: wrap;
}

.header > *:not(:last-child) {
    margin-right: 0.5rem;
}

.header > span {
    display: inline;
}
.header > span > a {
    line-height: 2;
    vertical-align: bottom;
}

.nav .nav-link .avatar {
    width: 21px;
    height: 21px;
    display: inline-flex;
    align-items: center;
    justify-content: center;
}

.nav .nav-link .avatar-caption {
    line-height: 11px;
}

.btn:not([role="tab"]) {
    --bs-btn-border-radius: 0.2rem;
    outline-color: transparent;
    outline-offset: 2px;
    outline-style: solid !important;
    outline-width: 2px !important;
}

.btn:focus-visible:not([role="tab"]) {
    outline-color: var(--cp-focus-color);
    box-shadow: none;   
    background-color: var(--bs-btn-bg);
}
.btn:focus-visible[role="tab"] {
    outline-color: transparent;
    box-shadow: none;   
    background-color: var(--bs-btn-bg);
}
.btn:disabled {
    opacity: 0.75;
}

.btn-primary, .btn-primary:active, .btn-primary:visited, .btn-primary:focus {
    --bs-btn-bg: var(--cp-primary-default-background);
    --bs-btn-border-color: var(--cp-primary-default-background);
    --bs-btn-color: var(--cp-primary-default-color);
}
.btn-primary:hover {
    --bs-btn-hover-bg: var(--cp-primary-hover-background);
    --bs-btn-hover-border-color: var(--cp-primary-hover-background);
    --bs-btn-hover-hover-color: var(--cp-primary-hover-color);
}
.btn-primary:disabled {
    --bs-btn-disabled-bg: var(--cp-primary-disabled-background);
    --bs-btn-disabled-border-color: var(--cp-primary-disabled-background);
    --bs-btn-disabled-color: var(--cp-primary-disabled-color);
}

.btn-secondary, .btn-secondary:active, .btn-secondary:visited, .btn-secondary:focus {
    --bs-btn-bg: var(--cp-secondary-default-background);
    --bs-btn-border-color: var(--cp-secondary-default-background);
    --bs-btn-color: var(--cp-secondary-default-color);
}
.btn-secondary:hover {
    --bs-btn-hover-bg: var(--cp-secondary-hover-background);
    --bs-btn-hover-border-color: var(--cp-secondary-hover-background);
    --bs-btn-hover-hover-color: var(--cp-secondary-hover-color);
}
.btn-secondary:disabled {
    --bs-btn-disabled-bg: var(--cp-secondary-disabled-background);
    --bs-btn-disabled-border-color: var(--cp-secondary-disabled-background);
    --bs-btn-disabled-color: var(--cp-secondary-disabled-color);
}

.btn-light, .btn-light:active, .btn-light:visited, .btn-light:focus {
    --bs-btn-bg: var(--cp-light-default-background); 
    --bs-btn-border-color: var(--cp-border-color);
    --bs-btn-color: var(--cp-light-default-color);
}
.btn-light:hover {
    --bs-btn-hover-bg: var(--cp-light-hover-background);
    --bs-btn-hover-border-color: var(--cp-light-hover-background);
    --bs-btn-hover-hover-color: var(--cp-light-hover-color);
}
.btn-light:disabled {
    --bs-btn-disabled-bg: var(--cp-primary-disabled-background);
    --bs-btn-disabled-border-color: var(--cp-border-color);
    --bs-btn-disabled-color: var(--cp-primary-disabled-color);
}

form .alert {
    margin-top: 1rem;
}

.form-control,
.form-select {
    outline-color: transparent;
    outline-offset: 0;
    outline-style: solid !important;
    outline-width: 1px !important;
}

.form-control:focus, 
.form-select:focus  {
    border-color: var(--cp-focus-color);
    outline-color: var(--cp-focus-color);
    box-shadow: none !important;
}

.form-control.is-invalid:focus,
.form-select.is-invalid:focus {
    border-color: #af1f2e;
    outline-color: #af1f2e;
    outline-offset: 2px;
    outline-width: 2px !important;
}

.form-control[readonly] {
    background-color: var(--bs-secondary-bg);
}

.input-group-text {
    color: var(--cp-primary-color);
}

.group > div {
    width: 100%;
}

.group > div input,
.group > div button,
.group > button {
    border-radius: var(--bs-border-radius);
}

.group > button {
    top: 1.85rem;
}

.group button {
    height: fit-content;
    display: flex;
    flex-wrap: nowrap;
    border-radius: inherit;
}

.group button i {
    line-height: inherit;
    margin-right: 5px
}

.group > div:last-child input {
    border-top-right-radius: var(--bs-border-radius);
    border-bottom-right-radius: var(--bs-border-radius);
}

.group > div:last-child button {
    border-top-right-radius: var(--bs-border-radius);
    border-bottom-right-radius: var(--bs-border-radius);
}

.group > button:last-child {
    border-top-right-radius: var(--bs-border-radius);
    border-bottom-right-radius: var(--bs-border-radius);
}

.input-address-search {
    flex-wrap: nowrap;
}

.input-address-search > div input {
    border-radius: 0;
}

.input-address-search > div:first-child input {
    border-top-left-radius: var(--bs-border-radius);
    border-bottom-left-radius: var(--bs-border-radius);
}

.input-email-verify .verify-button {
    margin-top: -0.5rem;
    margin-bottom: 1rem;
}

.alert-info {
    --bs-alert-bg: var(--cp-alert-info-bg);
}

.alert-light {
    --bs-alert-border-color: var(--cp-alert-light-border-color);
}

.btn-light {
    --bs-btn-border-color: var(--cp-btn-light-border-color);
}

.light-background {
    background: #ffffff;
}

.primary-background {
    background: var(--cp-primary-color);
}

.primary-color {
    color: var(--cp-primary-color);
}

.border-bottom {
    border-bottom: 1px solid var(--cp-border-color);
    padding-bottom: 0.25rem;
}

.c-pointer {
    cursor: pointer;
}

.cp-table tr:hover .c-pointer,
.cp-table tr:focus .c-pointer {
    background-color: var(--bs-tertiary-bg);
}

.cp-table .btn-outline-secondary {
    border-color: transparent;
}

.start-85 {
    left: 85% !important;
}

ul.pagination li:first-child button {
    border-top-right-radius: 0;
    border-bottom-right-radius: 0;
}

ul.pagination li:not(:first-child) button {
    border-radius: 0;
}

.input-checkmark {
    padding-right: calc(1.5em + .75rem);
    background-image: url("data:image/svg+xml,%3csvg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 8 8'%3e%3cpath fill='%23198754' d='M2.3 6.73.6 4.53c-.4-1.04.46-1.4 1.1-.8l1.1 1.4 3.4-3.8c.6-.63 1.6-.27 1.2.7l-4 4.6c-.43.5-.8.4-1.1.1z'/%3e%3c/svg%3e");
    background-repeat: no-repeat;
    background-position: right calc(.375em + .1875rem) center;
    background-size: calc(.75em + .375rem) calc(.75em + .375rem);
}

.cp-licenseplate {
    line-height: 1;
    display: inline-block;
    letter-spacing: 1px;
    padding: 3px 5px 3px 10px;
    border-radius: 3px;
    border: solid 1px #777;
    box-shadow: 1px 1px 2px 0px rgba(0, 0, 0, 0.1);
    position: relative;
    min-width: 10ch;
    text-align: center;
}

.cp-licenseplate:not(:last-of-type) {
    margin-right: .25rem;
}

.cp-licenseplate::after {
    content: "";
    position: absolute;
    top: 0;
    left: 0;
    bottom: 0;
    width: 5px;
    background-color: #005A8E;
}

.cp-licenseplate.nl {
    background: gold;
}

.cp-table.table .btn,
.table-header-button {
    padding: 0.1rem 0.75rem;
    font-size: 0.85rem;
}

.table caption {
    font-size: 1.3rem;
    color: var(--cp-primary-color);
    padding: 0;
    margin-bottom: .5rem;
}

.table thead th {
    font-size: 0.8rem;
}

.table tbody tr th {
    font-weight: normal;
}

.table tbody tr th.sub-header {
    padding: 0.1rem 0.5rem;
}

.table tbody tr td button:not(:last-child) {
    margin-right: 0.2rem;
}

.pagination {
    --bs-pagination-active-bg: var(--cp-primary-color);
    --bs-pagination-active-border-color: var(--cp-primary-color);
    --bs-pagination-color: var(--cp-primary-color);
}

.height-1 {
    min-height: 1rem;
}

dialog fieldset:not(:first-child) {
    margin-top: .7rem;
}

dialog fieldset legend {
    font-size: 1.4rem;
    color: var(--cp-primary-color);
}

dialog[open] {
    display: flex;
    flex-direction: column;
    pointer-events: auto;
    width: auto;
    padding: 0;
    border: 1px solid var(--bs-border-color-translucent);
    border-radius: 0.5rem;
    outline: none;
}

dialog[open]::backdrop {
	--bs-backdrop-bg: #000;
	--bs-backdrop-opacity: 0.5;
    opacity: 0.5;
	background-color: #000;
}

dialog {
    --bs-modal-padding: 1rem;
}

.dialog-header {
    display: flex;
    flex-shrink: 0;
    align-items: center;
    justify-content: space-between;
    padding: 1rem;
    border-bottom: 1px solid var(--bs-border-color);
}

.dialog-title {
    margin-bottom: 0;
    line-height: 1.5;
}

.dialog-body {
    padding: 1rem;
}

.dialog-footer {
    display: flex;
    flex-shrink: 0;
    flex-wrap: wrap;
    align-items: center;
    justify-content: flex-end;
    padding: 0.5rem;
    border-top: 1px solid var(--bs-border-color);
}

.dialog-footer > * {
    margin: calc(0.5rem * .5);
}

.lp-activation-checks:has(.form-check) p {
    display: none;
}

.fs-7 {
    font-size: 0.7rem !important;
}

.go-to-main-content {
    position: absolute;
    margin-top: -60px;
}

.go-to-main-content:focus {
    margin-top: 30px;
    padding: 10px 10px;
    left: 50%;
    transform: translate(-50%, -50%);
    z-index: 9000;
    border-radius: .25rem;
    box-shadow: none !important;
    outline-color: var(--cp-focus-color);
    transition: ease, margin-top 0.1s, margin-left 0.1s;
}

.btn-scroll-to-top {
    display: none;
    position: fixed;
    bottom: 58px;
    right: 24px;
    z-index: 9000;
}

.breadcrumb-item + .breadcrumb-item {
    padding-left: 0;
}

.fill-light {
    fill: var(--cp-text-color-light);
}

.fill-dark {
    fill: var(--cp-text-color);
}

.req {
    margin-left: 0.3em;
    color: var(--cp-error-color);
    font-size: 125%;
    line-height: 1;
}

.cp-multi-select {
    width: calc(100vw - 45px);
}

@media (min-width: 576px) {
    .cp-multi-select {
        width: 492px;
    }
}

@media (min-width: 768px) {
    .cp-multi-select {
        width: 180px;
    }
}

.cp-multi-select .form-control {
    --bs-form-select-bg-img: url('data:image/svg+xml,<svg xmlns="http://www.w3.org/2000/svg" width="16" height="16" fill="currentColor" class="bi bi-caret-down" viewBox="0 0 16 16"><path d="M3.204 5h9.592L8 10.481zm-.753.659 4.796 5.48a1 1 0 0 0 1.506 0l4.796-5.48c.566-.647.106-1.659-.753-1.659H3.204a1 1 0 0 0-.753 1.659"/></svg>');
    background-image: var(--bs-form-select-bg-img),var(--bs-form-select-bg-icon,none);
    background-repeat: no-repeat;
    background-position: right .75rem center;
    background-size: 16px 12px;
    padding-right: 30px;
}

.cp-multi-select .form-control.show {
    --bs-form-select-bg-img: url('data:image/svg+xml,<svg xmlns="http://www.w3.org/2000/svg" width="16" height="16" fill="currentColor" class="bi bi-caret-up" viewBox="0 0 16 16"><path d="M3.204 11h9.592L8 5.519zm-.753-.659 4.796-5.48a1 1 0 0 1 1.506 0l4.796 5.48c.566.647.106 1.659-.753 1.659H3.204a1 1 0 0 1-.753-1.659"/></svg>');
}

.cp-multi-select-popup {
    z-index: 9999;
}

.cp-multi-select-popup .checkbox {
    pointer-events: none;
}

.cp-multi-select-options {
    max-height: 350px;
    overflow: auto;
}

.cp-multi-select-options div:focus,
.cp-multi-select-options div:hover {
    background-color: #ccc;
    cursor: pointer;
}

.cp-multi-select-options div[role="option"] {
    padding: 0.5rem 1rem;
    display: flex;
    align-items: center; 
}   

.cp-multi-select-options div[role="option"][aria-selected="true"] .checkbox:before {
    font-family: "Font Awesome 7 Free";
    font-weight: 400;
    content: '\f14a';
    padding-right: 0.5rem;
    font-size: 1.2rem;
}

.cp-multi-select-options div[role="option"][aria-selected="false"] .checkbox:before {
    font-family: "Font Awesome 7 Free";
    font-weight: 400;
    content: '\f0c8';
    padding-right: 0.5rem;
    font-size: 1.2rem;
} 

.cp-multi-select-options div[role="option"].active {
    background-color: #eee;
}

.cp-multi-select-options div[role="option"].active:hover {
    background-color: #ccc;
}

form button.no-label {
    margin-top: 1.8rem;
    margin-left: 0.5rem;
}

.permits-list, .requests-list {
    list-style: none;
    padding-left: 0;
}

.lang-switch {
    margin-top: -1rem;
    display: flex;
    justify-content: end;
}

.lang-switch ul {
    list-style: none;
    display: flex;
    flex-direction: row;
    margin-bottom: 0;
    padding: 0;
}

.lang-switch label.active {
    font-weight: 700;
    text-decoration: underline;
}

.lang-switch label:hover {
    cursor: pointer;
    text-decoration: underline;
}

.lang-switch li:not(:last-of-type) label::after { 
    content: '|';
    margin-left: 0.5rem;
    margin-right: 0.5rem;
}

@media (min-width: 1400px) {
    .container, .container-lg, .container-md, .container-sm, .container-xl, .container-xxl {
        max-width: 960px;
    }
}

@media (min-width: 1200px) {
    .container, .container-lg, .container-md, .container-sm, .container-xl {
        max-width: 960px;
    }
}

@media (min-width: 992px) {
    .group > div {
        width: auto;
    }

    .group > div button {
        top: 1.85rem;
    }

    .group > button {
        border-radius: 0;
    }

    .group > div input {
        border-radius: 0;
    }

    .group > div:not(:last-child) {
        flex-grow: 1;
    }

    .group > div:first-child input {
        border-top-left-radius: var(--bs-border-radius);
        border-bottom-left-radius: var(--bs-border-radius);
    }

    .group > div:last-child input {
        border-top-right-radius: var(--bs-border-radius);
        border-bottom-right-radius: var(--bs-border-radius);
    }

    .group > div:last-child button {
        border-top-left-radius: 0;
        border-bottom-left-radius: 0;
    }

    .input-email-verify .verify-button {
        margin-top: 0;
        margin-bottom: 0;
    }
}

@media (min-width: 768px) {
    dl dd {
        padding-left: 0 !important;
    }
}

@media (max-width: 768px) {
    .cp-table.table {
        border: 0 !important;
    }

    .cp-table.table tr {
        border: 1px solid var(--cp-border-color);
        margin-bottom: 0.7rem;
    }

    .cp-table.table td:is([data-label]) {
        position: relative;
        border: 0 !important;
        padding-left: 45%;
    }

    td:is([data-label]):before {
        position: absolute;
        left: 0.5rem;
        padding-right: 0.2rem;
        width: 40%;
        content: attr(data-label);
        font-weight: bold;
        overflow: hidden;
        white-space: nowrap;
        text-overflow: ellipsis;
    }
}

@media (min-width: 576px) {
    :root {
        --bs-breadcrumb-divider: "/";
    }

    body {
        background: var(--cp-body-background-image);
        max-height: initial;
    }

    .page-container {
        margin-top: 1rem;
        gap: 1rem;
        padding: 20px 25px;
        grid-template-rows: calc(0.25rem * 16) 40px 1.25rem 1fr auto;
        grid-template-areas: "header" "menu" "breadcrumbs" "main" "footer";
        min-height: 100%;
    }

    .page-container > .breadcrumb {
        grid-area: breadcrumbs; 
        margin-top: 0;
        margin-bottom: 0;
        padding-left: 0.1rem;
    }

    .page-container > .nav {
        padding: 0;
        margin: 0;
        position: inherit;
        bottom: unset; 
        width: auto;
        --bs-nav-link-padding-y: 0.5rem;
    }

    .page-container > .nav a {
        text-align: center;
        flex: none;
    }

    .page-container > .nav a.shopping-cart {
        flex-direction: row;
        margin-left: auto;
    }
    .page-container > .nav a.shopping-cart .icon-badge {
        margin-top: 0;
    }
    .page-container > .nav a.shopping-cart .icon-badge .fas {
        display: block;
        margin: auto 8px auto 0;
    }
    .page-container > .nav a.shopping-cart .icon-badge .badge {
        margin: auto 0;
        font-size: 0.75rem;
    }

    .page-container > .nav a .fas {
        display: none;
    }

    .page-container > main {
        grid-area: main;
        padding-bottom: initial;
        margin-top: 0; 
    }

    .btn-scroll-to-top {
        bottom: 20px;
        right: 30px;
    }

    .login-container main {
        margin-top: 1rem;
    }

    dialog[open] {
        width: 500px;
    }

    dialog[open].dialog-wide {
        width: 800px;
    }

    .breadcrumb-item + .breadcrumb-item {
        padding-left: var(--bs-breadcrumb-item-padding-x);
    }
}
